<aside class="mr-8">
    <nav class="flex flex-col gap-2">
        <a class="no-underline bg-amber-300 dark:bg-gray-600 rounded cursor-pointer hover:bg-amber-200
                  dark:hover:text-gray-800 dark:hover:bg-gray-400"
           th:classappend="${param.menu != null and param.menu[0] eq 'overview'}?'text-white dark:text-gray-200':'dark:text-inherit'"
           data-hx-get="/fragments/reporting?menu=overview"
           data-hx-target="main"
           data-hx-swap="innerHTML"
           data-hx-push-url="/reporting?menu=overview">&Uuml;bersicht</a>
        <a class="no-underline bg-amber-300 dark:bg-gray-600 rounded cursor-pointer hover:bg-amber-200
                  dark:hover:text-gray-800 dark:hover:bg-gray-400"
           th:classappend="${param.menu != null and param.menu[0] eq 'search'}?'text-white dark:text-gray-200':'dark:text-inherit'"
           data-hx-get="/fragments/reporting?menu=search"
           data-hx-target="main"
           data-hx-swap="innerHTML"
           data-hx-push-url="/reporting?menu=search"
        >Suche</a>
        <a class="no-underline bg-amber-300 dark:bg-gray-600 rounded cursor-pointer hover:bg-amber-200
                  dark:hover:text-gray-800 dark:hover:bg-gray-400"
           th:classappend="${param.menu != null and param.menu[0] eq 'categoryYear'}?'text-white dark:text-gray-200':'dark:text-inherit'"
           data-hx-get="/fragments/reporting?menu=categoryYear"
           data-hx-target="main"
           data-hx-swap="innerHTML"
           data-hx-push-url="/reporting?menu=categoryYear"
        >Kategorie pro Jahr</a>
    </nav>
</aside>
<div class="grow flex flex-row" th:if="${param.menu != null and param.menu[0] eq 'overview'}">
    <details th:each="summaryView:${summaryViews}" class="w-auto open:dark:text-gray-200">
        <summary class="font-bold"
                 th:text="|${summaryView.year} gesamt: ${summaryView.total} Durchschnitt: ${summaryView.total/12}|"></summary>
        <table class="table w-96 mt-4">
            <thead class="table-header-group font-bold italic bg-[#00b89c] dark:bg-gray-600">
                <tr class="table-row">
                    <th class="table-cell pr-1 p-1" th:text="#{category}"></th>
                    <th class="table-cell text-right pr-1 p-1" th:text="#{total}"></th>
                    <th class="table-cell text-right pr-1 p-1" th:text="#{average}"></th>
                </tr>
            </thead>
            <tbody class="table-row-group">
                <tr th:each="summary:${summaryView.categorySummaries}"
                     class="table-row even:bg-gray-200 hover:bg-blue-200 dark:even:bg-gray-700 dark:hover:bg-stone-500"
                     th:data-year="${summary.year}" th:data-category="${summary.category}">
                    <td class="table-cell pr-1 p-1" th:text="${summary.category}"></td>
                    <td class="table-cell text-right pr-1 p-1" th:text="${summary.amount}"></td>
                    <td class="table-cell text-right pr-1 p-1" th:text="${summary.amount/12}"></td>
                </tr>
            </tbody>
        </table>
    </details>
</div>
<script>
    window.toggleYear = function (year) {
        const summary = document.querySelector(`[data-year='${year}']`)
        summary.classList.toggle("hidden")
    }
</script>
<div class="grow flex flex-row gap-8" th:classappend="${param.menu != null and param.menu[0] ne 'search'}?'hidden'">
    <form class="max-w-48 dark:bg-inherit" id="searchForm" name="searchForm"
          data-hx-post="/fragments/reporting"
          data-hx-target="main"
          data-hx-swap="innerHTML"
          data-hx-push-url="/reporting?search"
    >
        <input type="hidden" name="menu" value="search"/>

        <div th:class="mb-4">
            <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit" for="fromDate">Von</label>
            <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                          leading-tight focus:outline-none focus:shadow-outline"
                   type="date" name="fromDate" id="fromDate" autofocus
                   th:value="${param.fromDate != null}?${param.fromDate[0]}"/>
        </div>
        <div th:class="mb-4">
            <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit" for="toDate">Bis</label>
            <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                          leading-tight focus:outline-none focus:shadow-outline"
                   type="date" name="toDate" id="toDate" th:value="${param.toDate != null}?${param.toDate[0]}"
            />
        </div>
        <div th:class="mb-4">
            <label class="block text-gray-700 text-sm font-bold mb-2 dark:text-inherit" for="category">Kategorie</label>
            <input class="dark:bg-gray-700 dark:text-inherit shadow appearance-none border rounded w-full py-2 px-3 text-gray-700
                          leading-tight focus:outline-none focus:shadow-outline"
                   type="text" name="category" id="category" list="categories" autocomplete="off" th:value="${param.category != null}?${param.category[0]}"
            />
        </div>
        <div class="flex flex-row flex-wrap gap-2">
            <button class="dark:bg-gray-600 dark:text-gray-200 bg-blue-500 hover:bg-blue-700 text-white font-bold px-0.5 rounded
                           focus:outline-none focus:shadow-outline dark:hover:text-gray-800 dark:hover:bg-gray-400"
                    type="submit">Suchen</button>
        </div>
    </form>
    <div class="mt-4" th:if="${costs}">
        <div th:replace="~{fragments/rows.html}"></div>
    </div>
</div>
<datalist id="categories">
    <option th:each="category: ${categories}" th:value="${category}"></option>
</datalist>

